Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
Class EnumVisitor

Field Summary
`int` | `FS`
`int` | `PRIVATE_FS`
`int` | `PS`
`int` | `PUBLIC_FS`
`CompilationUnit` | `compilationUnit`
`SourceUnit` | `sourceUnit`

Constructor Summary
`EnumVisitor(CompilationUnit cu, SourceUnit su)`

Method Summary
`void` | `addConstructor(ClassNode enumClass)`
`void` | `completeEnum(ClassNode enumClass)`
`SourceUnit` | `getSourceUnit()`
`String` | `getUniqueVariableName(String name, Statement code)`
`boolean` | `isEnum(ClassNode node)`
`void` | `visitClass(ClassNode node)`

Constructor Detail

### EnumVisitor

    public EnumVisitor(CompilationUnit cu, SourceUnit su)

Method Detail

### addConstructor

    void addConstructor(ClassNode enumClass)

### completeEnum

    void completeEnum(ClassNode enumClass)

### getSourceUnit

    SourceUnit getSourceUnit()

### getUniqueVariableName

    String getUniqueVariableName(String name, Statement code)

### isEnum

    boolean isEnum(ClassNode node)

### visitClass

    public void visitClass(ClassNode node)